For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesWhite-labelAPI Reference
GuidesWhite-labelAPI Reference
  • Panic API Reference
      • GETList customer subscriptions
      • POSTActivate a subscription
      • GETGet a subscription
      • PUTUpdate a subscription
      • DELCancel a subscription
      • GETList subscription types
    • Errors & status codes
LogoLogo
Panic API ReferenceSubscriptions

List customer subscriptions

GET
/panic-api/v2/customers/:customerId/subscriptions
GET
/panic-api/v2/customers/:customerId/subscriptions
$curl https://staging-panic.aura.services/panic-api/v2/customers/178921/subscriptions \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": 8811,
4 "customerId": 178921,
5 "subscriptionTypeId": 4,
6 "status": "active",
7 "dependantCustomerIds": [
8 1
9 ]
10 }
11]
Lists subscriptions associated with a customer. Use this to confirm whether the customer is entitled before exposing panic functionality.
Was this page helpful?
Previous

Activate a subscription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

customerIdintegerRequired
Customer identifier.

Response

Customer subscriptions.
idinteger
customerIdinteger
subscriptionTypeIdinteger
statusstring
dependantCustomerIdslist of integers

Errors

401
Unauthorized Error
404
Not Found Error